using System;
using System.Xml.Serialization;

namespace SubmissionModel.PrimaryMarket
{
	[XmlType]
	public class IssueDetailsType
	{
		[XmlArrayItem("Security", IsNullable = false)]
		public PSSecurityDetailsType[] UnderlyingSecurities { get; set; }

		[XmlAttribute]
		public SecurityType SecurityType { get; set; }

		[XmlAttribute]
		public string IssueDescription { get; set; }

		[XmlAttribute]
		public string IssuerName { get; set; }

		[XmlAttribute]
		public string IssuerState { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime IssueClosingDate { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime IssueDatedDate { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime PreliminaryOfficialStatementDate { get; set; }

		[XmlAttribute]
		public decimal IssueTotalParAmount { get; set; }

		[XmlAttribute]
		public string IssuerCUSIP6 { get; set; }

		[XmlAttribute]
		public string CUSIP6 { get; set; }
	}
}
