﻿using System;
using System.Xml.Serialization;

namespace SubmissionModel.PrimaryMarket
{
	[XmlType]
	public class PMSecurityDetailsType
	{
		[XmlAttribute]
		public string CUSIP9 { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime MaturityDate { get; set; }

		[XmlAttribute(DataType = "date")]
		public DateTime SecurityDatedDate { get; set; }

		[XmlAttribute(DataType = "float")]
		public float InitialOfferingPriceYield { get; set; }

		[XmlAttribute(DataType = "float")]
		public float InitialOfferingPrice { get; set; }

		[XmlAttribute(DataType = "float")]
		public float InitialOfferingYield { get; set; }

		[XmlAttribute]
		public decimal MaturityPrincipalAmount { get; set; }

		[XmlAttribute]
		public decimal InterestRate { get; set; }

		[XmlAttribute]
		public SecurityStatusType CUSIPStatus { get; set; }

		[XmlAttribute]
		public SecurityStatusType SecurityStatus { get; set; }

		[XmlAttribute]
		public decimal ParValueUnderwritten { get; set; }

		[XmlAttribute]
		public string OriginalCUSIP9OfRefundedSecurity { get; set; }

		[XmlAttribute]
		public string NewCUSIP9OfUnrefundedBalance { get; set; }

		[XmlAttribute]
		public string NewCUSIP9OfRefundedSecurity { get; set; }
	}
}
