﻿using System;
using System.Xml.Serialization;
using SubmissionModel.Shared;

namespace SubmissionModel.PrimaryMarket
{
	[XmlRoot(ElementName = "Submission")]
	public class SubmissionDetailsType
	{
		[XmlAttribute]
		public string IssuerSubmitted { get; set; }

		[XmlAttribute]
		public string ManagingUnderWriterMSRBID { get; set; }

		[XmlAttribute]
		public string SubmitterMSRBID { get; set; }

		[XmlElement("Offering", IsNullable = false)]
		public OfferingDetailsType Offering { get; set; }

		[XmlElement("Document")]
		public DocumentDetailsType[] Document { get; set; }

		[XmlElement("OSAvailabilityContactInformation")]
		public OSAvailabilityContactInformationType OSAvailabilityContactInformation { get; set; }

		[XmlAttribute]
		public string SubmissionIdentifier { get; set; }

		[XmlAttribute]
		public SubmissionType SubmissionType { get; set; }

		[XmlAttribute]
		public SubmissionStatusType SubmissionStatus { get; set; }

		[XmlAttribute]
		public DateTime SubmissionTransactionDateTime { get; set; }

		public IssueDetailsType Issue { get; set; }

		[XmlArrayItem("File", IsNullable = false)]
		public FileDetailsType[] Files { get; set; }

		public ContactInformationType ContactInformation { get; set; }

		[XmlAttribute]
		public DateTime TransactionDateTime { get; set; }
	}
}