﻿using System.IO;
using System.Text;
using System.Windows.Forms;

namespace SubscriberServicesClient
{
	public class TestSaveFileDialogWrapper : ISaveFileDialogWrapper
	{
		private readonly byte[] _buffer = new byte[64 * 1024];
		private readonly MemoryStream _stream;

		public TestSaveFileDialogWrapper()
		{
			_stream = new MemoryStream(_buffer);
		}

		public DialogResult Result { get; set; }

		public string OutputText
		{
			get
			{
				var text = Encoding.ASCII.GetString(_buffer);
				return text.Substring(0, text.IndexOf('\0'));
			}
		}
		public string FileName { get; set; }

		public Stream OpenFile()
		{
			return _stream;
		}

		public DialogResult ShowDialog()
		{
			return Result;
		}
	}
}