﻿using System.Diagnostics.CodeAnalysis;
using System.IO;
using System.Windows.Forms;

namespace SubscriberServicesClient
{
	[ExcludeFromCodeCoverage]
	public class WinFormsSaveFileDialogWrapper : ISaveFileDialogWrapper
	{
		private readonly SaveFileDialog _dialog;

		public WinFormsSaveFileDialogWrapper(SaveFileDialog dialog)
		{
			_dialog = dialog;
		}

		public Stream OpenFile()
		{
			return _dialog.OpenFile();
		}

		public DialogResult ShowDialog()
		{
			return _dialog.ShowDialog();
		}

		public string FileName
		{
			get
			{
				return _dialog.FileName;
			}
		}
	}
}